.filter {
    margin-bottom: rem(18);

    &__main {
        display: none;
        row-gap: rem(15);
        column-gap: rem(15);
        flex-direction: column;
        margin-top: rem(15);
    }

    &__support {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__toggle {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border-radius: 5px;
        position: relative;
        background: transparent;
        border: 1px solid #E5E5E5;
        outline: none;
        width: rem(44);
        height: rem(44);
        cursor: pointer;
        display: block;

        span,
        &:after,
        &:before {
            z-index: 1;
            left: calc(50% - 12px);
            content: '';
            width: 24px;
            height: 2px;
            display: block;
            position: absolute;
            background: var(--gray);
        }

        &:after {
            top: calc(50% + 7px)
        }

        &:before {
            top: calc(50% - 8px);
        }
    }

    &__settings {
        position: relative;
    }

    &__actions {
        display: flex;
        align-items: center;
        column-gap: rem(16);
    }

    &.open {

        .filter__main {
            display: flex;
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        &__support {
            order: 2;
        }

        &__toggle {
            display: none;
        }

        &__main {
            margin-top: 0;
            order: 1;
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
        }
    }
}

.filter-settings {
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(44);
    height: rem(44);
    cursor: pointer;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;

    i {
        display: block;
        flex-shrink: 0;
        width: rem(26);
    }
}

.filter-item {
    position: relative;
}

.filter-button {
    padding: rem(4) rem(18);
    color: var(--black);
    text-decoration: none;
    height: rem(44);
    font-size: rem(16);
    line-height: rem(20);
    background: white;
    white-space: none;
    border-radius: rem(5);
    border: 1px solid #E5E5E5;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-time);

    &:hover {
        background-color: #F8F8F8;
        transition: var(--transition-time);
    }
}

.filter-content {
    background: white;
    min-width: 100%;
    padding: rem(20) rem(30);
    position: absolute;
    top: calc(100% + 10px);
    border: 1px solid #E5E5E5;

    &--right {
        min-width: rem(240);
        right: 0 !important;
        left: auto !important;
    }

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(18);
        column-gap: rem(30);
    }

    &__title {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        white-space: nowrap;
    }

    &__actions {
        display: flex;
        align-items: center;
        column-gap: rem(16);
    }

    &__main {
        max-height: rem(260);
    }

    &__list {
        display: flex;
        flex-direction: column;
        row-gap: rem(20);
    }

    &__search {
        margin-bottom: rem(20);
    }

    &__row {
        min-width: rem(240);
        display: grid;
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        min-width: rem(240);
    }

    @include media-breakpoint-up(xl) {

        &__row {
            min-width: rem(320);
        }
    }
}
